package com.slodon.b2b2c.vo.seller;

import com.slodon.b2b2c.seller.pojo.StoreBindExpress;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.Map;

/**
 * @author lxk
 * <p>
 * 店铺绑定快递VO对象
 */
@Data
public class StoreBindExpressVO {

    @ApiModelProperty("绑定id")
    private Integer bindId;

    @ApiModelProperty("快递公司ID")
    private Integer expressId;

    @ApiModelProperty("物流名称")
    private String expressName;

    @ApiModelProperty("物流编号")
    private String expressCode;

    @ApiModelProperty("快递公司状态：1-启用，0-不启用")
    private Integer expressState;

    @ApiModelProperty("添加时间")
    private Date createTime;

    @ApiModelProperty("客户帐号(对应快递100的partnerId)")
    private String customerName;

    @ApiModelProperty("客户密码(对应快递100的partnerKey)")
    private String customerPwd;

    @ApiModelProperty("所属网点(对应快递100的net)")
    private String sendSite;

    @ApiModelProperty("网点信息(对应快递100的checkMan)")
    private String sendStaff;

    @ApiModelProperty("月结号")
    private String monthCode;

    @ApiModelProperty("模板id(快递100专用)")
    private String templateId;

    @ApiModelProperty("电子面单客户账户名称")
    private String partnerName;

    @ApiModelProperty("电子面单承载编号")
    private String code;

    @ApiModelProperty("产品类型")
    private String expType;

    @ApiModelProperty("是否支持电子面单：1-是; 0-否")
    private Integer isSupportFaceSheet;

    @ApiModelProperty("开通电子面单所需字段")
    private Map<String, String> needFields;

    public StoreBindExpressVO(StoreBindExpress storeBindExpress) {
        bindId = storeBindExpress.getBindId();
        expressId = storeBindExpress.getExpressId();
        expressName = storeBindExpress.getExpressName();
        expressCode = storeBindExpress.getExpressCode();
        expressState = storeBindExpress.getExpressState();
        createTime = storeBindExpress.getCreateTime();
        customerName = storeBindExpress.getCustomerName();
        customerPwd = storeBindExpress.getCustomerPwd();
        sendSite = storeBindExpress.getSendSite();
        sendStaff = storeBindExpress.getSendStaff();
        monthCode = storeBindExpress.getMonthCode();
        templateId = storeBindExpress.getTemplateId();
        partnerName = storeBindExpress.getPartnerName();
        code = storeBindExpress.getCode();
        expType = storeBindExpress.getExpType();
    }
}
